Please rate how useful you found this document: 
No votes yet

Overview

This page describes server requirements and monitoring tools for:

  • ProcessMaker 3.4.x
Please review these requirements, supported browsers, and supported stacks before installing ProcessMaker. To install ProcessMaker, check to see whether your server meets the necessary hardware and software requirements.

Server

Hardware Requirements

For personal use (non-production), ProcessMaker supports any computer with a modern CPU, an Internet connection, and 2GB of RAM.

For production use (using live data), the hardware requirements may vary based on the number of concurrent users, repository size and system configuration. Larger implementations may require some configuration tuning to perform optimally. For more information, see ProcessMaker Server Sizing.

For production use, install ProcessMaker on a dedicated server or virtual machine with a dedicated Internet connection.

Software Requirements

ProcessMaker strongly recommends installing ProcessMaker in one of the supported stacks where ProcessMaker has been fully tested. Nevertheless, it is also possible to install ProcessMaker on one of the following platforms:

Component Supported Versions Comments
Platform
Windows Microsoft Windows Server 2019
Linux/Unix CentOS/RHEL 7.x (Latest version) Although ProcessMaker can be installed on any platform that supports PHP, we recommend the use of Red Hat based distributions. Take into consideration that our QA and Support teams ONLY do testing and provide support for the supported stacks.
PHP 7.1.x

Warning: PHP 7.2.x is not supported.

Database
MySQL
  • 5.6.x
  • 5.7.x
If planning to connect to external databases, install the client software and/or PHP modules for Oracle, SQL Server or PostgreSQL.
Web Server
Apache 2.4.x
NGINX 1.x.x (Latest version)

You may also find useful the list of supported browsers.